<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:gravity="center_vertical"
    android:orientation="horizontal"
    tools:background="@android:color/background_dark"
    tools:paddingBottom="16dp"
    tools:paddingTop="16dp">

    <de.hdodenhof.circleimageview.CircleImageView
        android:id="@+id/icon"
        android:layout_width="34dp"
        android:layout_height="34dp"
        android:layout_marginStart="13dp"
        android:src="@mipmap/ic_keyboard_icon"
        app:civ_border_color="@color/text_color_white"
        app:civ_border_width="1dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <!-- 快速切换组件 -->
    <com.atmob.keyboard_android.component.QuickSwitchComponent
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        app:layout_constraintBottom_toBottomOf="@+id/icon"
        app:layout_constraintStart_toEndOf="@+id/icon"
        app:layout_constraintTop_toTopOf="@+id/icon" />

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="end"
        android:layout_marginEnd="10dp"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:layout_width="34dp"
            android:layout_height="34dp"
            android:src="@mipmap/ic_pinyin_btn" />

        <ImageView
            android:layout_width="34dp"
            android:layout_height="34dp"
            android:layout_marginStart="10dp"
            android:layout_marginEnd="10dp"
            android:src="@mipmap/ic_keyboard" />

        <FrameLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">

            <ImageView
                android:layout_width="35dp"
                android:layout_height="30dp"
                android:src="@mipmap/bg_love" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="7dp"
                android:text="30%"
                android:textColor="@color/text_color_white"
                android:textSize="10sp"
                android:textStyle="bold" />
        </FrameLayout>
    </LinearLayout>
</androidx.constraintlayout.widget.ConstraintLayout>